[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Libav 0.7 FTBFS on mipsel: Error: opcode not supported on this processor: mips2 (mips2) `ldl $2, 7($13)'

On Sun, Jul 24, 2011 at 12:59:46AM +0200, Bastian Blank wrote:
> On Wed, Jul 20, 2011 at 08:52:45PM +0200, Philipp Kern wrote:
> > I think that's a misconfiguration of the buildds.  They're supposed to
> > put linux32 into the schroot configuration if the kernel arch differs
> > from the userspace arch, to get the right entry into uname.
> Negative. The build have to work with even a complete different kernel
> architecture.

Since when do we require this?  I don't think we do that.  It might be a goal,
which you are free to propose.  (Mainly useful to build the right packages
on i386 userland with an amd64 kernel.)  The status quo is that such build
failures are not RC, AFAIK.

Kind regards,
Philipp Kern
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org

Attachment: signature.asc
Description: Digital signature

Reply to: